Liberty Keyloading with T3011DX?

d119

Prolific Contributor
CS Forums $upporter
Joined
May 22, 2012
Messages
1,098
Is it possible to keyload a Thales Liberty with a T3011DX? My unit has the programming/audio/keyload thing on the side of it, and it has the AES and DES options. I'm looking to use it in DES-OFB mode (obviously, with a T3011DX).

Curious if it'll work?
 

Samg381

Contributing Member
Joined
Jul 22, 2019
Messages
56
No it won't. You need a KVL3000+ (NOT a KVL3000) or KVL4000. Other P25 compliant unit may work. I've personally tested the T3011DX and did not have any success.
 

Samg381

Contributing Member
Joined
Jul 22, 2019
Messages
56
See attached photos from my experiment a few years back. The keyloader is recognized but fails to load any keys.
 

Attachments

  • IMG_20180102_212153.jpg
    IMG_20180102_212153.jpg
    5 MB · Views: 22
  • IMG_20180102_212232.jpg
    IMG_20180102_212232.jpg
    3 MB · Views: 22

syntrx

Prolific Contributor
CS Forums $upporter
Joined
Aug 14, 2019
Messages
241
No it won't. You need a KVL3000+ (NOT a KVL3000) or KVL4000. Other P25 compliant unit may work. I've personally tested the T3011DX and did not have any success.

Why not a non plus KVL3000? They're both P25 KFDs.
 
OP
d119

d119

Prolific Contributor
CS Forums $upporter
Joined
May 22, 2012
Messages
1,098
Thanks. I didn't think the T3011DX was compatible, just confirming some misinformation is in fact that.
 

RadioSkaf

Contributing Member
Joined
Mar 15, 2018
Messages
44
Seems logical that the T3011DX doesn't work on a Liberty, given that KVL can only uses the so-called ASN keyloading protocol, which is Motorola proprietary. (I guess the T3011 will not work with a Thales 25 too ?)

I had the same interrogation as SyntrX given that the KVL3000 Non Plus can use the standardized P25-KFD keyloading protocol, but if Scott says the KVL3k works just fine, then he is necessarily right (bug excepted).
 
OP
d119

d119

Prolific Contributor
CS Forums $upporter
Joined
May 22, 2012
Messages
1,098
Now if I could just get usable firmware in it that doesn't have the BCLO bug, the radio would be much more usable.
 

WRJI865

New Member
Joined
Nov 20, 2021
Messages
1
Now if I could just get usable firmware in it that doesn't have the BCLO bug, the radio would be much more usable.
What firmware is currently loaded on your radio? I've bought a few updates and haven't had issues after loading.
 

PSEhub

Prolific Contributor
CS Forums $upporter
Joined
Nov 5, 2012
Messages
920
6.30 is just as terrible as any other, radios lock up and you have to pull the battery. totally unusable

Paying for updates LMFAO. Firmware is free, always was, and always will be
 
OP
d119

d119

Prolific Contributor
CS Forums $upporter
Joined
May 22, 2012
Messages
1,098
So what is the "most stable" version of firmware for the Liberty that doesn't leave the thing in constant busy channel lockout:?